for file in "ca-GrQc" "as20000102" "ca-HepTh" "wiki-Vote"; do
  param=""
  param=$param"set terminal postscript eps enhanced color;"
  param=$param"set output \"$file.eps\";"
  param=$param"set size 0.6,0.6;"
  param=$param"set yra [1e-8:1e-2];"
  param=$param"set format y \"10^{%L}\";"
  param=$param"set ylabel \"mean error\" font \"Arial,20pt\";"
  param=$param"set xlabel \"number of iterations\" font \"Arial,20pt\";"
  param=$param"set logscale y;"
  param=$param"plot "
  for d in 10 100 1000 10000; do
    awk "/check/ { chk = \$2 }; /maxerr/ { if (chk == $d) print substr(\$3,0,1) \" \" \$15 }" work/$file.txt > work/$file.$d.txt
    param=$param"\"work/$file.$d.txt\" with line linewidth 3 title \"$d samples\", "
  done
  param=${param/%?/}
  param=${param/%?/}
  echo $param
  gnuplot <<EOF
$param
EOF
done
exit
