for dir in ./ca-GrQc ./wiki-Vote ./as20000102
do
  echo $dir
  param="";
  param=$param"set size ratio 0.8 0.8; "
  param=$param"set term eps enhanced color; "
  param=$param"set output '../"${dir##*/}".eps'; "
  param=$param"set logscale y; "
  param=$param"set xlabel \"Number of Iterations\"; ";
  param=$param"set ylabel \"Mean Squared Error\"; ";
  param=$param"set format y \"10^{%L}\"; "
  param=$param"set yrange [1e-8:1]; "
  param=$param"set xrange [0:5]; "

  param=$param"plot ";
  first=1;
  for file in $dir/1*
  do
    if [ $first -eq 0 ]; then
      param=$param", ";
    fi
    first=0;
    samples=${file##*/}
    samples=${samples%.*}
    param=$param" '"$file"' with linespoint title '"$samples" samples'"
  done
  gnuplot -e "$param"
done
