#--------
param=""
filelist="accuracy2/ca-GRQC-10.txt accuracy2/ca-GRQC-50.txt accuracy2/ca-GRQC-100.txt accuracy2/ca-GRQC-500.txt accuracy2/ca-GRQC-1000.txt accuracy2/ca-GRQC-5000.txt accuracy2/ca-GRQC-10000.txt"
param=$param"set terminal postscript eps color;"
param=$param"set output \"ca-GrQc.eps\";"
param=$param"set size 0.7,0.7;"
param=$param"set yra [0.0001:1];"
param=$param"set ylabel \"maximum absolute error\" font \"Arial,20pt\";"
param=$param"set xlabel \"number of iterations\" font \"Arial,20pt\";"
param=$param"set logscale y;"
param=$param"plot "
for file in $filelist; do
  name=${file#*/}
  num=${name%%.*}
  num=${num##*-}
  awk '/max/ { print (NR-1)/2 " " $9 }' $file > work/$name
  param=$param"\"work/$name\" with line title \"$num samples\", "
done
echo $param
#param=$param"; pause -1;"

gnuplot <<EOF
$param
EOF
#--------
param=""
filelist="accuracy2/as20000102-10.txt accuracy2/as20000102-50.txt accuracy2/as20000102-100.txt accuracy2/as20000102-500.txt accuracy2/as20000102-1000.txt accuracy2/as20000102-5000.txt accuracy2/as20000102-10000.txt"
param=$param"set terminal postscript eps color;"
param=$param"set output \"as20000102.eps\";"
param=$param"set size 0.7,0.7;"
param=$param"set yra [0.0001:1];"
param=$param"set ylabel \"maximum absolute error\" font \"Arial,20pt\";"
param=$param"set xlabel \"number of iterations\" font \"Arial,20pt\";"
param=$param"set logscale y;"
param=$param"plot "
for file in $filelist; do
  name=${file#*/}
  num=${name%%.*}
  num=${num##*-}
  awk '/max/ { print (NR-1)/2 " " $9 }' $file > work/$name
  param=$param"\"work/$name\" with line title \"$num samples\", "
done
echo $param
#param=$param"; pause -1;"

gnuplot <<EOF
$param
EOF
#--------
param=""
filelist="accuracy2/wiki-Vote-10.txt accuracy2/wiki-Vote-50.txt accuracy2/wiki-Vote-100.txt accuracy2/wiki-Vote-500.txt accuracy2/wiki-Vote-1000.txt accuracy2/wiki-Vote-5000.txt accuracy2/wiki-Vote-10000.txt"
param=$param"set terminal postscript eps color;"
param=$param"set output \"wiki-Vote.eps\";"
param=$param"set size 0.7,0.7;"
param=$param"set yra [0.0001:1];"
param=$param"set ylabel \"maximum absolute error\" font \"Arial,20pt\";"
param=$param"set xlabel \"number of iterations\" font \"Arial,20pt\";"
param=$param"set logscale y;"
param=$param"plot "
for file in $filelist; do
  name=${file#*/}
  num=${name%%.*}
  num=${num##*-}
  awk '/max/ { print (NR-1)/2 " " $9 }' $file > work/$name
  param=$param"\"work/$name\" with line title \"$num samples\", "
done
echo $param
#param=$param"; pause -1;"

gnuplot <<EOF
$param
EOF
#--------
param=""
filelist="accuracy2/ca-HepTh.es-10.txt accuracy2/ca-HepTh.es-50.txt accuracy2/ca-HepTh.es-100.txt accuracy2/ca-HepTh.es-500.txt accuracy2/ca-HepTh.es-1000.txt accuracy2/ca-HepTh.es-5000.txt accuracy2/ca-HepTh.es-10000.txt"
param=$param"set terminal postscript eps color;"
param=$param"set output \"ca-HepTh.eps\";"
param=$param"set size 0.7,0.7;"
param=$param"set yra [0.0001:1];"
param=$param"set ylabel \"maximum absolute error\" font \"Arial,20pt\";"
param=$param"set xlabel \"number of iterations\" font \"Arial,20pt\";"
param=$param"set logscale y;"
param=$param"plot "
for file in $filelist; do
  name=${file#*/}
  num=${name%%.*}
  num=${num##*-}
  awk '/max/ { print (NR-1)/2 " " $9 }' $file > work/$name
  param=$param"\"work/$name\" with line title \"$num samples\", "
done
echo $param
#param=$param"; pause -1;"

gnuplot <<EOF
$param
EOF
